Summary:	GNOME Tali
Summary(pl.UTF-8):	Tali dla GNOME
Name:		tali
Version:	40.9
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	https://download.gnome.org/sources/tali/40/%{name}-%{version}.tar.xz
# Source0-md5:	2cfe5f5cc699625753b9f57ca4261b7b
URL:		https://wiki.gnome.org/Apps/Tali
BuildRequires:	appstream-glib
BuildRequires:	gettext-tools
BuildRequires:	gtk+3-devel >= 3.16.0
BuildRequires:	itstool
BuildRequires:	libgnome-games-support-devel >= 1
BuildRequires:	meson >= 0.37.1
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	yelp-tools
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	gtk+3 >= 3.16.0
Requires:	hicolor-icon-theme
Provides:	gnome-games-gtali = 1:%{version}-%{release}
Obsoletes:	gnome-games-gtali < 1:3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Poker-style dice game.

%description -l pl.UTF-8
Gra w kości w pokerowym stylu.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_bindir}/tali
%{_datadir}/glib-2.0/schemas/org.gnome.Tali.gschema.xml
%{_datadir}/metainfo/org.gnome.Tali.appdata.xml
%{_datadir}/tali
%{_desktopdir}/org.gnome.Tali.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Tali.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Tali-symbolic.svg
%{_mandir}/man6/tali.6*
%changelog
* Thu Mar 23 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tali.git;a=log;h=master

* Thu Mar 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 8b095bc
- updated to 40.9

* Thu Aug 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 150a3d7
- updated to 40.8

* Sun Apr 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 0924dc5
- updated to 40.7

* Tue Mar 29 2022 Jakub Bogusz <qboosh@pld-linux.org> 8cac05f
- updated to 40.6

* Thu Feb 03 2022 Jakub Bogusz <qboosh@pld-linux.org> a1e889d
- updated to 40.5

* Sun Oct 31 2021 Jakub Bogusz <qboosh@pld-linux.org> fd60174
- updated to 40.4

* Mon Sep 20 2021 Jakub Bogusz <qboosh@pld-linux.org> d8c80cf
- updated to 40.3

* Thu Aug 19 2021 Jakub Bogusz <qboosh@pld-linux.org> b17c5ef
- updated to 40.2

* Sat May 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 1e7925d
- updated to 40.1

* Mon Apr 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 0cd760f
- updated to 40.0

* Sun Jan 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 72dad4c
- updated to 3.38.3

* Sun Nov 22 2020 Jakub Bogusz <qboosh@pld-linux.org> c75bf58
- updated to 3.38.2

* Mon Sep 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 0106c35
- updated to 3.38.0

* Tue Jul 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 60aef62
- updated to 3.36.4

* Mon Apr 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 99ea080
- updated to 3.36.1

* Fri Aug 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 0bee4af
- updated to 3.32.1

* Wed Sep 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> a22e55e
- Update to 3.22.0

* Sat Jun 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 202037a
- gnome-common no longer used

* Wed Apr 06 2016 Marcin Banasiak <marcin.banasiak@gmail.com> f9b84d9
- Update to 3.20.0

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 598941d
- updated to 3.18.0

